@STRING{UPMC = "Universit\'e P. et M. Curie"}
@STRING{IbP = "Institut Blaise Pascal"}
@STRING{LIFL = "Laboratoire d'Informatique Fondamentale de Lille"}
@STRING{ICPS = "Laboratoire Image et Calcul Parall\`ele Scientifique"}
@STRING{ijpp = "Int. Journal of Parallel Programming"}
@STRING{jpdc = "Journal of Parallel and Distributed Computing"}
@ARTICLE{Alma:91,
        AUTHOR = "I. Auge and J.Y. Brunel and X. Redon",
        TITLE = "System Prototyping with ALMA",
        JOURNAL = "IEEE 2nd International Workshop on Rapid System Prototyping",
        YEAR = 1991,
        MONTH = Jun}
@ARTICLE{Alma:91,
        AUTHOR = "I. Auge and J.Y. Brunel and X. Redon",
        TITLE = "System Prototyping with ALMA",
        JOURNAL = "IEEE 2nd International Workshop on Rapid System Prototyping",
        YEAR = 1991,
        MONTH = Jun}
@TECHREPORT{Bart:93,
        INSTITUTION=IbP,
        AUTHOR = "Denis Barthou",
        TITLE = "Extension et am\'eliorations pour le calcul du graphe de
flot de donn\'ees",
        MONTH = Jun, YEAR = 1993}
@TECHREPORT{Begu:92,
        AUTHOR = "A. Beguelin, J. Dongarra, A. Geist and R. Manchek and V. Sunderam",
        TITLE = "A User's Guide to PVM Parallel Virtual Machine",
        YEAR = 1992,
        MONTH = Sep,
        INSTITUTION = "Oak Ridge National Laboratory"
}
@Book{Berge:87b,
  author =       "C. Berge",
  title =        "Hypergraphes",
  publisher =    "Gauthier-Villars",
  year =         "1987"
}
@TECHREPORT{Blel:90,
        author = "Guy~E. Blelloch",
        title = "Prefix Sums and Their Applications",
        institution = "School of Computer Science, Carnegie Mellon University",
        number = "CMU-CS-90-190",
        month = nov,
        year = 1990 }
@ARTICLE{CH:92,
	AUTHOR = "R.J. Chen and Y.S. Hou",
	TITLE = "Non-associative parallel prefix computation",
        JOURNAL="Information Processing Letters 44",
        PAGES="91-94",
        MONTH= Nov,
        EDITOR = "North-Holland",
	YEAR=1992}
@string{ PPOPP91 = "Third {ACM SIGPLAN} Symposium on Principles and
and Pratice of Parallel Programming PPOPP"}
@TECHREPORT{CLW:97,
        AUTHOR = "Philippe Clauss and Vincent Loechner and Doran K. Wilde",
        TITLE = "Deriving Formulae to Count Solutions to Parameterized Linear
        Systems using Ehrhart Polynomials: Applications to
the Analysis of Nested-Loop Programs",
        YEAR = 1997,
        MONTH = "April",
        INSTITUTION=ICPS,
        NUMBER = "RR 97-05",
	NOTE = "URL: \url{http://icps.u-strasbg.fr/PolyLib}"
}

@INPROCEEDINGS{COUS:77,
        AUTHOR = {Patrick Cousot and Radhia Cousot},
        TITLE = {Abstract Interpretation : a Unified Lattice Model for
        Static Analysis of Programs by Construction or Approximation
        of Fixpoints},
        BOOKTITLE = {Symposium on Principles and Practice of
        Programming Languages},
        YEAR = 1977,
        PUBLISHER = {ACM}
}
@INPROCEEDINGS{Calla:91,
        AUTHOR = "D. Callahan",
        TITLE = "Recognizing and Parallelizing Bounded Recurrences",
        BOOKTITLE = "Proc. of the Fourth International Workshop on
Languages and Compilers for Parallel Computing, Santa Clara, CA",
        PAGES = "266--282",
        MONTH = Aug,
        EDITOR = "U. Banerjee et al. (Eds.)",
        NOTE = "LNCS 589", PUBLISHER = "Springer-Verlag", YEAR = 1991}
@INPROCEEDINGS{Chat:90,
         AUTHOR ="S. Chatterjee, G.E. Blelloch, and M. Zagha",
         TITLE = "Scan Primitives for Vector Computers",
         BOOKTITLE = "Supercomputing'90"
}
@INPROCEEDINGS{Chen:88,
        AUTHOR = "M. Chen, Y.-I. Choo and J. Li",
        TITLE = "Crystal: From Functional Description To 
        Efficient Parallel Code",
        BOOKTITLE = "Proc. of the Third Conference on Hypercube Concurrent
Computers and Applications",
	YEAR = "1988",
        EDITOR = "Fox, G.",
        PUBLISHER = "ACM, New York, USA",
        PAGES = "417--433"}
@phdthesis{Collard(these),
        author =        {J.-F. Collard},
        title =         {Parall\'elisation automatique des programmes \`a contr\^ole dynamique},
        school =        {ENS Lyon, Universit\'e Pierre et Marie Curie},
        year =          {1995},
        month =         {January}
}
@TECHREPORT{FR:97,
        AUTHOR = "X. Redon and P. Feautrier",
        TITLE = "Detection of Scans in Sequential Programs",
        YEAR = 1997,
        MONTH = May,
        INSTITUTION=LIFL,
        NUMBER = "AS-175",
	NOTE = "URL: {\tt ftp://ftp.lifl.fr/pub/reports/AS-publi/an97/as-175.ps.gz}"}
@BOOK{Fear:78,
        AUTHOR = "J. Lelong-Ferrand, J.-M. Arnaudi\`es",
        TITLE = "Cours de math\'ematiques Tome 1, Alg\`ebre",
        PUBLISHER = "Dunod universit\'e (Bordas)",
        YEAR = 1978}
@INPROCEEDINGS{Feau:94b,
        AUTHOR="Paul Feautrier",
        TITLE="Compiling for Massively Parallel Architectures",
        YEAR=1994,
        BOOKTITLE = "3rd Workshop on Algorithms and Parallel {VLSI} Architectures",
        PUBLISHER="Elsevier, to appear",
        MONTH= Aug}
@techreport{FeautrierRis,
        author =        {J.F. Collard and P. Feautrier and T. Risset},
        title =         {Construction of DO Loops from Systems of Affine Constra
ints},
        institution =   {LIP, ENS-Lyon},
        year =          {1993}
}
@Book{Gajo:79,
  author =       "M.R. Garey and D.S. Johnson",
  title =        "Computers and Intractability. A guide to the Theory of NP-Completeness",
  publisher =    "W.H. Freeman and compagny",
  year =         "1979"
}
@INPROCEEDINGS{Ghul:94,
        TITLE = "Parallelizing complex scans and reductions",
        AUTHOR = "Anwar M. Ghuloum and Allan L. Fisher",
        EDITOR="ACM Press",
	PAGES="135--145",
        YEAR = 1994,
        BOOKTITLE = "Procs of the 1994 ACM conference on Programming
Language Design and Implementation (PLDI)"}
@InProceedings{HLJQ:91,
        Author={P.J. Hatcher and A. J. Lapadula and R. R. Jones
                and M. J. Quinn and R. J. Anderson},
        Title={A Production-Quality C${}^\ast$ Compiler},
        Pages={73-82},
        BookTitle=PPOPP91,      Month=apr,      Year=1991}
@INPROCEEDINGS{LVVDW94,
        AUTHOR             = {H. Le Verge and V. Van Dongen and D. K. Wilde},
        ADDRESS            = {Lyon},
        BOOKTITLE          = {$6^{me}$ Rencontres francophones du parall\'{e}lisme},
        EDITOR             = {L. Boug\'{e} et al.},
        MONTH              = jun,
        PAGES              = {73--76},
        TITLE              = {La synth\`{e}se de nids de boucles avec la biblioth\`{e}que poly\'{e}drique},
        YEAR               = {1994}
}
@TECHREPORT{Lefe:93,
        INSTITUTION=IbP,
        AUTHOR = "Vincent Lefebvre",
        TITLE = "Un vectoriseur automatique pour PAF",
        MONTH = Sep, YEAR = 1993}
@Article{Lelo:88,
  author =       "Hanoch Levy and David~W. Low",
  title  =       "A contraction algorithm for finding small cycle cutsets",
  journal =      "Journal of Algorithms",
  year =         "1988",
  volume =       "9", 
  pages =        "470--493"
}
@InProceedings{NiWa:91,    Author={A. Nicolau and H. Wang},
        Title={Optimal Schedules for Parallel Prefix Computation with
                        Bounded Resources},
        BookTitle=PPOPP91,      Month=apr,      Year=1991}
@INPROCEEDINGS{Pugh:94,
        author = {William Pugh},
        title = {Counting Solutions to Presburger Formulas: How and Why},
        booktitle = {SIGPLAN Conference on Programming Language Design and
                        Implementation},
        month = jun,
        year = 1994,
        address = "Orlando, FL"
        }
@INPROCEEDINGS{RF:93,
        AUTHOR="X. Redon and P. Feautrier",
        TITLE="Detection of Reductions in Sequentials Programs with Loops",
        YEAR=1993,
        BOOKTITLE = "Procs of the 5th International Parallel Architectures
and Languages Europe",
        EDITOR="Arndt Bode and Mike Reeve and Gottfried Wolf",
	PAGES="132--145",
        MONTH= Jun}
@TECHREPORT{RF:94,
        AUTHOR = "X. Redon and P. Feautrier",
        TITLE = "Scheduling Reductions",
        YEAR = 1994,
        MONTH = Jan,
        INSTITUTION = "Laboratoire PRiSM",
        NUMBER = "PRiSM 94-03"}
@TECHREPORT{RF:94,
        AUTHOR = "X. Redon and P. Feautrier",
        TITLE = "Scheduling Reductions",
        YEAR = 1994,
        MONTH = Jan,
        INSTITUTION = "Laboratoire PRiSM",
        NUMBER = "PRiSM 94-03"}
@INPROCEEDINGS{RF:94b,
        TITLE = "Scheduling Reductions",
        AUTHOR = "X. Redon and P. Feautrier",
        EDITOR="ACM Press",
	PAGES="117--125",
        MONTH = Jul,
        YEAR = 1994,
        BOOKTITLE = "Procs of the 8th ACM International Conference on 
Supercomputing"}
@INPROCEEDINGS{RF:94b,
        TITLE = "Scheduling Reductions",
        AUTHOR = "X. Redon and P. Feautrier",
        EDITOR="ACM Press",
	PAGES="117--125",
        MONTH = Jul,
        YEAR = 1994,
        BOOKTITLE = "Procs of the 8th ACM International Conference on 
Supercomputing"}
@TECHREPORT{Rajo:93,
        AUTHOR = "S. Rajopadhye",
        TITLE = "LACS: A Language for Affine Communication Structures",
        YEAR = 1993,
        INSTITUTION = "IRISA"
}
@STRING{UPMC = "Universit\'e P. et M. Curie"}
@STRING{IbP = "Institut Blaise Pascal"}
@STRING{ijpp = "Int. Journal of Parallel Programming"}
@STRING{jpdc = "Journal of Parallel and Distributed Computing"}
@TECHREPORT{Raph:85,
        author = "Mich\`ele Raphalen and Bernard Philippe",
        title = "Pr\'ecision num\'erique dans le cumul d'un nombre de termes",
        institution = "Institut de recherche en informatique et systemes
aleatoires (IRISA)",
        number = "Publication interne 253",
        month = apr,
        year = 1985 }
@BOOK{Redd:89,
        AUTHOR = "Rama N. Reddy and Carol A. Ziegler",
        TITLE = "Fortran 77, with Application for Scientists and Engineers",
        PUBLISHER = "West Publishing Compagny",
        YEAR = 1989}
@TECHREPORT{Redo:92,
        AUTHOR = "X. Redon",
        TITLE = "D\'etection des r\'eductions",
        YEAR = 1992,
        MONTH = Sep,
        INSTITUTION=IbP,
        NUMBER = "MASI 92-52"}
@TECHREPORT{Redo:92,
        AUTHOR = "X. Redon",
        TITLE = "D\'etection des r\'eductions",
        YEAR = 1992,
        MONTH = Sep,
        INSTITUTION=IbP,
        NUMBER = "MASI 92-52"}
@TECHREPORT{Redo:92,
        AUTHOR = "X. Redon",
        TITLE = "D\'etection des r\'eductions",
        YEAR = 1992,
	MONTH = Sep,
        INSTITUTION=IbP,
        NUMBER = "MASI 92-52"}
@PhdThesis{Rex:95,
  author = "Xavier Redon",
  title = "D\'etection et exploitation des r\'ecurrences dans les
programmes num\'eriques en vue de leur parall\'elisation",
  school = UPMC,
  year = "1995",
  month = Jan,
  clef = "consist"
}
@Article{Sham:79,
  author =       "A.~Shamir",
  title  =       "linear time algorithm for finding minimum cutsets in reducible
 graphs",
  journal =      "SIAM J. Comput.",
  year =         "1979",
  number =       "4", 
  volume =       "8",
  pages =        "645--655"
}
@INPROCEEDINGS{Tawb:94,
         AUTHOR ="Nadia Tawbi",
         TITLE = "Estimation of nested loop execution time by
         integer arithmetics in convex polyhedra",
         BOOKTITLE = "Proc of the 1994 International Parallel
         Processing Symposium",
         MONTH = Apr, YEAR = 1994
}
@INPROCEEDINGS{Tier:70,
	AUTHOR = "James C. Tiernan",
	TITLE = "An efficient search algorithm to find the elementary circuits
        of a graph",
	BOOKTITLE = "Communications of the ACM",
	VOLUME = "12(3)",
	YEAR = 1970
	}
@INPROCEEDINGS{Viol:94,
         AUTHOR ="E. Violard, G.-R. Perrin",
         TITLE = "Reduction in PEI",
         BOOKTITLE = "Proceeding of CONPAR'94 - VAPP VI (LNCS 854)",
         PAGES = "112--123",
         EDITOR = "Springer Verlag",
         MONTH = sep, YEAR = 1994
}
@TechReport{Wild:93,
  author =       "Doran K. Wilde",
  title =        "A Library for Doing Polyhedral Operations",
  institution =  "IRISA",
  year =         1993,
  number =       "Internal Publication 785",
  address =      "Rennes, France",
  month =        "Dec",
  note = "Also published as INRIA Research Report 2157."
}
@PHDTHESIS{Wonn:95,
	TITLE={Constraint-Based Array Dependence Analysis},
	AUTHOR={David G. Wonnacott},
	YEAR=1995,
	SCHOOL={University of Maryland}
}
@INPROCEEDINGS{Zagh:92,
        author = "Guy~E. Blelloch and Siddhartha Chatterjee and Marco Zagha",
        title = "Solving Linear Recurrences with Loop Raking",
        booktitle = "Proceedings Sixth International Parallel Processing
                     Symposium", 
        pages = "416--424",
        month = mar,
        year = 1992 }
@MISC{test:91,
        HOWPUBLISHED = "Groupe ``Calcul Parall\`ele'' du MASI",
        AUTHOR = "Xavier Redon",
        TITLE = "Traitement des tests structuraux",
        NOTE = "available on request from Paul Feautrier",
        MONTH = Nov, YEAR = 1991}
@MISC{test:91,
        HOWPUBLISHED = "Groupe ``Calcul Parall\`ele'' du MASI",
        AUTHOR = "Xavier Redon",
        TITLE = "Traitement des tests structuraux",
        NOTE = "available on request from Paul Feautrier",
        MONTH = Nov, YEAR = 1991}
@MISC{tools:91,
        HOWPUBLISHED = "Groupe ``Calcul Parall\`ele'' du MASI",
        AUTHOR = "Xavier Redon",
        TITLE = "Biblioth\`eque pour PAF",
        NOTE = "available on request from Paul Feautrier",
        MONTH = Nov, YEAR = 1991}
@MISC{tools:91,
        HOWPUBLISHED = "Groupe ``Calcul Parall\`ele'' du MASI",
        AUTHOR = "Xavier Redon",
        TITLE = "Biblioth\`eque pour PAF",
        NOTE = "available on request from Paul Feautrier",
        MONTH = Nov, YEAR = 1991}
